Search documentation of polar_express

# PolarExpress.Schemas.WebhookEndpointCreate (polar_express v0.1.5)

Copy Markdown View Source

WebhookEndpointCreate

Schema to create a webhook endpoint.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.WebhookEndpointCreate{
      events: [PolarExpress.Schemas.WebhookEventType.t()] | nil,
      format: PolarExpress.Schemas.WebhookFormat.t() | nil,
      organization_id: String.t() | nil,
      secret: String.t() | nil,
      url: String.t() | nil
    }

- `events` - The events that will trigger the webhook.
- `format` - The format of the webhook payload.
- `organization_id` - The organization ID associated with the webhook endpoint. Required unless you use an organization token. Nullable.
- `secret` - Nullable. Deprecated.
- `url` - The URL where the webhook events will be sent. Format: uri. Max length: 2083.

## Functions

# schema_name()